Bug 1307228 - Review Request: dynafed
Review Request: dynafed
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adrien Devresse
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-13 07:16 EST by Andrea
Modified: 2016-05-24 05:00 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-24 05:00:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
adev88: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Andrea 2016-02-13 07:16:37 EST
Spec URL: http://svnweb.cern.ch/world/wsvn/lcgdm/ugr/tags/dynafed_1_1_0/packaging/rpm/specs/dynafed.spec?op=dl
SRPM URL: http://grid-deployment.web.cern.ch/grid-deployment/dms/lcgdm/repos/release-candidate/el6/x86_64/dynafed-1.1.0-1.el6.src.rpm
Description: The Dynamic Federations system allows to expose via HTTP and WebDAV a very fast dynamic name space
Fedora Account System Username: andreamanzi
Comment 2 Andrea 2016-04-15 04:40:52 EDT
new upstream version
Comment 4 Adrien Devresse 2016-04-20 16:52:26 EDT
Hi Andrea,


little informal review :

- Please remove the Obsolete, they should be avoided for new packages if not strictly required.

- BuildRequires:          lfc-libs >= 1.8.8 
   -> lfc-devel should normally already install lfc-libs
   
-> same for python


-> package need to support SystemD for EPEL7 / rawhide
   
   This means 

          -> no rsyslog and lograte dependency for these platforms


          -> Following this guidelines https://fedoraproject.org/wiki/Packaging:Systemd about restart conditions and scriptlets


-> Do you really want to support EL5 ? If not, the header concerning boost is not needed.



Adrien
Comment 5 Fabrizio Furano 2016-04-22 10:03:28 EDT
Hi Adrien,

 thank you very much for the review :-) I am applying the fixes.

 About python, is it safe to remove the minimum needed version ? Isn't this a small protection against mad package alchemists ?

 Support for EL5 is not bad if it comes for free, so I would do nothing there.

f
Comment 6 Adrien Devresse 2016-04-22 10:30:42 EDT
Hi Fab,

You have to see, it's not clear to me why python is put as a required dependency. I don't remember any particular need of python in the UGR build system.

>  Support for EL5 is not bad if it comes for free, so I would do nothing there.

I don't think it even build for EL5. EPEL-5 do not have python 2.6 by default and is with GCC 4.1. It is better to drop the support if not strictly needed.
Comment 7 Fabrizio Furano 2016-04-22 10:37:41 EDT
Hi Adrien,

 python is used for the authorization. Good point about py26 and epel5. I remove the requirement...

f
Comment 8 Andrea 2016-04-28 12:05:54 EDT
Hi Adrien,
Fabrizio tagged a new version fixing the problems you found on your initial review:

Spec URL:

http://svn.cern.ch/guest/lcgdm/ugr/tags/dynafed_1_2_0c/packaging/rpm/specs/dynafed.spec

SRPMS:

http://grid-deployment.web.cern.ch/grid-deployment/dms/lcgdm/repos/release-candidate/el6/x86_64/dynafed-1.2.0-1.20160428.1520rc.el6.src.rpm

cheers
Andrea
Comment 9 Adrien Devresse 2016-05-04 18:11:49 EDT
Hi Andrea,

Thx for the update:

Build rawhide :

http://koji.fedoraproject.org/koji/taskinfo?taskID=13922533

PASSED

build epel7 :

http://koji.fedoraproject.org/koji/taskinfo?taskID=13922570 

PASSED

build epel6 :

http://koji.fedoraproject.org/koji/taskinfo?taskID=13922678

PASSED

build fedora 24

http://koji.fedoraproject.org/koji/taskinfo?taskID=13922953

PASSED

MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.[1]

dynafed.src: E: description-line-too-long C The Dynafed project provides a dynamic, scalable HTTP resource federation mechanism for distributed storage systems.
dynafed.src: E: description-line-too-long C The default deployment style is accessible by any HTTP/Webdav compatible client. The core components can be used to design frontends based on other protocols.
dynafed.src: W: no-version-in-last-changelog
dynafed.src:37: W: mixed-use-of-spaces-and-tabs (spaces: line 37, tab: line 17)
dynafed.src: W: invalid-url Source0: http://grid-deployment.web.cern.ch/grid-deployment/dms/lcgutil/tar/dynafed/dynafed-1.2.0.tar.gz HTTP Error 404: Not Found

dynafed.x86_64: E: description-line-too-long C The Dynafed project provides a dynamic, scalable HTTP resource federation mechanism for distributed storage systems.
dynafed.x86_64: E: description-line-too-long C The default deployment style is accessible by any HTTP/Webdav compatible client. The core components can be used to design frontends based on other protocols.
dynafed.x86_64: W: no-version-in-last-changelog
dynafed.x86_64: W: unstripped-binary-or-object /usr/lib64/libugrconnector.so.1.2.0
dynafed.x86_64: W: shared-lib-calls-exit /usr/lib64/libugrconnector.so.1.2.0 exit@GLIBC_2.2.5
dynafed.x86_64: E: incoherent-logrotate-file /etc/logrotate.d/ugr-server
dynafed.x86_64: E: zero-length /usr/share/doc/dynafed-1.2.0/RELEASE-NOTES
dynafed.x86_64: E: non-executable-script /etc/ugr/conf.d/ugrauth_example.py 644 /usr/bin/python
dynafed.x86_64: W: one-line-command-in-%postun /sbin/ldconfig

dynafed-debuginfo.x86_64: W: no-version-in-last-changelog
dynafed-dmlite-frontend.x86_64: W: summary-not-capitalized C dmlite plugin for dynafed
dynafed-dmlite-frontend.x86_64: W: no-version-in-last-changelog
dynafed-dmlite-frontend.x86_64: W: unstripped-binary-or-object /usr/lib64/ugr/libugrdmlite.so
dynafed-dmlite-frontend.x86_64: W: no-documentation
d
ynafed-dmlite-plugin.x86_64: W: summary-not-capitalized C dmlite plugin for dynafed
dynafed-dmlite-plugin.x86_64: W: no-version-in-last-changelog
dynafed-dmlite-plugin.x86_64: W: no-documentation

dynafed-http-plugin.x86_64: W: no-version-in-last-changelog
dynafed-http-plugin.x86_64: W: no-documentation
dynafed-lfc-plugin.x86_64: W: no-version-in-last-changelog
dynafed-lfc-plugin.x86_64: W: no-documentation

dynafed-private-devel.x86_64: W: no-dependency-on dynafed-private/dynafed-private-libs/libdynafed-private
dynafed-private-devel.x86_64: W: no-version-in-last-changelog
dynafed-private-devel.x86_64: W: only-non-binary-in-usr-lib
dynafed-private-devel.x86_64: W: no-documentation
8 packages and 0 specfiles checked; 7 errors, 23 warnings.



OK: The package must be named according to the Package Naming Guidelines .
OK: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. [2] .
OK: The package must meet the Packaging Guidelines .
OK: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.

   -> Apache 2.0

OK: The License field in the package spec file must match the actual license. [3]
N/A: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %license.[4]
OK: The spec file must be written in American English. [5]
OK: The spec file for the package MUST be legible. [6]

FAIL: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.


http://grid-deployment.web.cern.ch/grid-deployment/dms/lcgutil/tar/dynafed/dynafed-1.2.0.tar.gz -> No File

OK: The package MUST successfully compile and build into binary rpms on at least one primary architecture. [7]

  -> compile for all
  

N/A: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line. [8]
OK: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
N/A: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.[9]
OK: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. [10]
OK: Packages must NOT bundle copies of system libraries.[11]
N/A: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker. [12]
OK: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. [13]
OK: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)[14]
OK: Permissions on files must be set properly. Executables should be set with executable permissions, for example. [15]
OK: Each package must consistently use macros. [16]
OK: The package must contain code, or permissible content. [17]
OK: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). [18]
OK: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. [18]
N/A: Static libraries must be in a -static package. [19]
OK: Development files must be in a -devel package. [20]

  -> private-devel for unstable module API

OK: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release} [21]
OK: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.[19]
  
   -> cmake, no autotools

N/A: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation. [22]
OK: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. [23]
OK: All filenames in rpm packages must be valid UTF-8. [24]


FAIL: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it. [25]
N/A: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available. [26]
OK: The reviewer should test that the package builds in mock. [27]
OK: The package should compile and build into binary rpms on all supported architectures. [28]
OK: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
N/A: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity. [29]
OK: Usually, subpackages other than devel should require the base package using a fully versioned dependency. [21]
N/A: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb. [30]
N/A: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself. [31]
N/A: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.[32]


Globally good, just few things to solve.

Problems:
- Missing tarball at address: http://grid-deployment.web.cern.ch/grid-deployment/dms/lcgutil/tar/dynafed/dynafed-1.2.0.tar.gz
        tarball need to match srpm sources

- service and restart is not available nor recommanded on systemd
 /sbin/service rsyslog condrestart || true
 /sbin/service httpd condrestart  || true

- rpmlint errors to solve 


Optional:
- Include "LICENSE" file installed with %license
Comment 10 Fabrizio Furano 2016-05-17 11:50:01 EDT
Hi Adrien,

 thank you very much again for the help.

 What does this mean ? Do you have a suggestion ?

>FAIL: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it. [25]

Tnx
fbx
Comment 12 Adrien Devresse 2016-05-19 16:34:55 EDT
Hi,


Looks good to me.

Package Approved.
Comment 13 Fabrizio Furano 2016-05-20 03:58:40 EDT
Hey, champagne ! Thank you Adrien !

Does this mean that it's in epel-testing now or that we have to push it ?
Comment 14 Andrea 2016-05-20 04:05:34 EDT
thanks Adrien!
Fab i have just requested the repo for dynafed, when done i will do the builds and release it to the testing repos
Comment 15 Gwyn Ciesla 2016-05-23 17:04:52 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/dynafed

Note You need to log in before you can comment on or make changes to this bug.